nom: 'Helios automatique - déprécié'
type: 'Finances'
description: "Type de dossier Hélios automatique permettant de traiter les fichiers PES en les envoyant :\nau parapheur, au Tdt (automatiquement si la case est cochée), à une GED (automatiquement si la case est cochée) et à un SAE (automatiquement si la case est cochée) ou à toutes combinaisons de ces quatre systèmes."
connecteur:
    - signature
    - TdT
    - GED
    - 'Bordereau SEDA'
    - SAE
formulaire:
    PES:
        Objet:
            requis: true
            title: true
        fichier_pes:
            name: 'Fichier PES'
            type: file
            requis: true
            commentaire: 'format XML'
            onchange: fichier_pes_change
            max_file_size: '128000000'
        visuel_pdf:
            name: 'Visuel PDF'
            type: file
            requis: false
            commentaire: "Format PDF - obligatoire dans le cas de l'envoi au parapheur"
        tedetis_transaction_id:
            no-show: true
    Cheminement:
        envoi_signature_check:
            name: 'Transmission à la signature'
            type: checkbox
            onchange: envoi-signature-change
        envoi_tdt:
            name: 'Transmission à la trésorerie'
            type: checkbox
            onchange: envoi-cheminement-change
        envoi_ged:
            name: 'Transmission à la GED'
            type: checkbox
            onchange: envoi-cheminement-change
        envoi_sae:
            name: 'Transmission au SAE'
            type: checkbox
            onchange: envoi-cheminement-change
    Parapheur:
        envoi_signature:
            no-show: true
            onchange: envoi-signature-api-change
        iparapheur_type:
            name: 'Type iparapheur'
            read-only: true
        iparapheur_sous_type:
            name: 'Sous-type iparapheur'
            requis: true
            read-only: true
            type: externalData
            choice-action: iparapheur-sous-type
            link_name: 'Sélectionner un sous-type'
    'Parapheur FAST':
        envoi_signature_fast:
            no-show: true
            onchange: envoi-signature-api-change
        fast_parapheur_circuit:
            name: 'Circuit sur le parapheur'
            type: externalData
            choice-action: iparapheur-sous-type
            link_name: 'Liste des circuits'
        fast_parapheur_circuit_configuration:
            name: 'Configuration du circuit à la volée (au format JSON)'
            commentaire: 'Si ce fichier est déposé, il remplace le circuit choisi dans le champ "Circuit sur le parapheur"'
            type: file
        fast_parapheur_email_destinataire:
            name: 'Email du destinataire'
            commentaire: "Email de la personne à qui l’on souhaite envoyer le document après sa signature<br />\nUniquement avec le mode \"circuit à la volée\""
        fast_parapheur_email_cc:
            name: 'Email des destinataires en copie carbone'
            commentaire: "Permet de rajouter des destinataires mais en copie carbone<br />\nUniquement avec le mode \"circuit à la volée\""
        fast_parapheur_agents:
            name: 'Emails des agents'
            commentaire: "Les emails des utilisateurs à rajouter en tant qu’agent. Séparé par des virgules<br />\nUniquement avec le mode \"circuit à la volée\""
    'Signature locale':
        has_signature_locale:
            no-show: true
        signature_locale_display:
            no-show: true
        signature_link:
            name: 'Signature du fichier PES'
            type: externalData
            choice-action: signature-locale
            link_name: 'Signer le fichier PES'
        fichier_pes_signe:
            name: 'Fichier PES signé'
            read-only: true
            type: file
            requis: true
    'Information PES Aller':
        id_coll:
            name: 'Établissement émetteur'
            index: true
            read-only: true
        dte_str:
            name: 'Date de production du fichier'
            index: true
            type: date
            read-only: true
        cod_bud:
            name: 'Code Budget'
            index: true
            read-only: true
        exercice:
            name: 'Exercice comptable'
            index: true
            read-only: true
        id_bordereau:
            name: 'Identifiant bordereau'
            index: true
            read-only: true
        id_pj:
            name: 'Identifiant PJ'
            index: true
            read-only: true
        id_pce:
            name: 'Numéro de mandat ou de titre'
            index: true
            read-only: true
        id_nature:
            name: 'Nature comptable'
            index: true
            read-only: true
        id_fonction:
            name: 'Opération comptable'
            index: true
            read-only: true
    'Retour Parapheur':
        iparapheur_dossier_id:
            name: 'ID dossier parapheur'
        has_historique:
            no-show: true
        iparapheur_historique:
            name: 'Historique iparapheur'
            type: file
        parapheur_last_message:
            name: 'Dernier message reçu du parapheur'
        has_signature:
            no-show: true
        fichier_pes_signe:
            name: 'Fichier PES signé'
            type: file
        document_signe:
            name: 'Bordereau de signature'
            type: file
        iparapheur_annexe_sortie:
            name: 'Annexe(s) de sortie du parapheur'
            type: file
            multiple: true
    Reponse:
        has_reponse:
            no-show: true
            commentaire: 'Utiliser pour remplir les informations de réponse si le document ne passe pas par une étape de TDT'
        fichier_reponse:
            name: 'Fichier réponse'
            type: file
            visionneuse: PESRetourVisionneuse
        etat_ack:
            name: 'Etat acquittement Helios'
            type: select
            value:
                - 'Non acquitté'
                - 'Acquittement OK'
                - 'Acquittement KO'
            index: true
    'Retour GED':
        has_ged_document_id:
            no-show: true
        ged_document_id_file:
            name: 'Identifiants des documents sur la GED'
            type: file
            visionneuse: Pastell\Viewer\GedIdDocumentsViewer
            read-only: true
            requis: true
            visionneuse-no-link: true
    SAE:
        sae_transfert_id:
            name: 'Identifiant de transfert'
            index: true
        sae_bordereau:
            name: 'Bordereau SEDA'
            type: file
        sae_archive:
            name: Paquet d'archive (SIP)
            type: file
        ar_sae:
            type: file
            name: 'Accusé de réception SAE'
        sae_ack_comment:
            name: "Commentaire de l'accusé de réception"
        reply_sae:
            type: file
            name: 'Réponse du SAE'
        sae_archival_identifier:
            name: "Identifiant de l'archive sur le SAE"
        sae_atr_comment:
            name: 'Commentaire de la réponse du SAE'
    'Informations complémentaires':
        has_information_complementaire:
            no-show: true
            read-only: true
        uniqid:
            name: 'Identifiant unique de la transaction'
            no-show: true
        fichier_reponse:
            name: 'PES Acquit'
            requis: true
            type: file
            commentaire: 'Fichier contenant le PES Acquit'
            visionneuse: PESRetourVisionneuse
page-condition:
    'Retour Parapheur':
        has_historique: true
    Reponse:
        has_reponse: true
    Parapheur:
        envoi_signature: true
    'Parapheur FAST':
        envoi_signature_fast: true
    'Retour GED':
        has_ged_document_id: true
    SAE:
        sae_transfert_id: true
    'Informations complémentaires':
        has_information_complementaire: true
    'Signature locale':
        signature_locale_display: true
champs-affiches:
    - titre
    - dernier_etat
    - date_dernier_etat
    - id_coll
    - dte_str
    - cod_bud
    - etat_ack
champs-recherche-avancee:
    - id_e
    - type
    - lastetat
    - last_state_begin
    - etatTransit
    - state_begin
    - notEtatTransit
    - search
    - id_coll
    - dte_str
    - cod_bud
    - exercice
    - id_bordereau
    - id_pj
    - etat_ack
action:
    creation:
        name-action: Créer
        name: Créé
        rule:
            no-last-action: ''
            droit_id_u: 'helios-automatique:edition'
            type_id_e:
                - collectivite
    modification:
        name-action: Modifier
        name: 'En cours de rédaction'
        rule:
            last-action:
                - importation
                - creation
                - modification
                - send-signature-local
                - send-signature-error
                - recu-iparapheur
                - acquiter-tdt
                - info-tdt
                - send-ged
                - termine
            droit_id_u: 'helios-automatique:edition'
    supression:
        name-action: Supprimer
        name: Supprimé
        rule:
            last-action:
                - creation
                - modification
                - importation
                - send-signature-local
                - send-signature-error
                - recu-iparapheur
                - rejet-iparapheur
                - info-tdt
                - tdt-error
                - refus-tdt
                - erreur-verif-iparapheur
                - erreur-envoie-sae
                - send-ged
                - termine
                - accepter-sae
                - rejet-sae
                - fatal-error
            droit_id_u: 'helios-automatique:edition'
        action-class: Supprimer
        warning: 'Êtes-vous sûr ?'
    importation:
        name: 'Importation du document'
        rule:
            role_id_e: no-role
        action-automatique: orientation
    orientation:
        name: Orientation
        rule:
            role_id_e: no-role
        action-class: HeliosOrientationFluxAuto
    termine:
        name: 'Traitement terminé'
        rule:
            role_id_e: no-role
        editable-content:
            - envoi_sae
        modification-no-change-etat: true
    send-signature-local:
        name-action: Signer
        name: 'Document à faire signer'
        rule:
            last-action:
                - creation
                - modification
            no-action:
                - recu-iparapheur
            document_is_valide: true
            content:
                has_signature_locale: true
        editable-content:
            - fichier_pes_signe
            - signature_link
        action-class: HeliosSignatureLocaleNotif
    prepare-iparapheur:
        name-action: "Préparation de l'envoi au parapheur"
        name: "Préparation de l'envoi au iparapheur"
        rule:
            role_id_e: no-role
        action-automatique: send-iparapheur
    send-iparapheur:
        name-action: 'Transmettre au parapheur'
        name: 'Transmis au parapheur'
        rule:
            last-action:
                - importation
                - creation
                - modification
                - send-signature-error
            no-action:
                - send-iparapheur
            document_is_valide: true
            or_1:
                and_1:
                    content:
                        envoi_signature: true
                and_2:
                    content:
                        envoi_signature_fast: true
        connecteur-type: signature
        connecteur-type-action: SignatureEnvoie
        connecteur-type-mapping:
            document: fichier_pes
        action-class: StandardAction
        action-automatique: verif-iparapheur
    send-signature-error:
        name: "Erreur lors de l'envoi du dossier à la signature"
        editable-content:
            - iparapheur_sous_type
            - fast_parapheur_circuit
            - fast_parapheur_circuit_configuration
            - fast_parapheur_email_destinataire
            - fast_parapheur_email_cc
            - fast_parapheur_agents
        rule:
            role_id_e: no-role
    verif-iparapheur:
        name-action: 'Vérifier le statut de signature'
        name: 'Vérification de la signature'
        rule:
            last-action:
                - erreur-verif-iparapheur
                - send-iparapheur
        action-class: IParapheurRecupHelios
        connecteur-type: signature
    erreur-verif-iparapheur:
        name: 'Erreur lors de la vérification du statut de signature'
        rule:
            role_id_e: no-role
    recu-iparapheur:
        name: 'Signature récupérée'
        rule:
            role_id_e: no-role
        editable-content:
            - envoi_tdt
            - envoi_ged
            - envoi_sae
        action-automatique: orientation
    prepare-tdt:
        name: "Préparation de l'envoi au TdT"
        rule:
            role_id_e: no-role
        action-automatique: send-tdt
    rejet-iparapheur:
        name: 'Signature refusée'
        rule:
            role_id_e: no-role
    send-tdt:
        name-action: 'Transmettre au TdT'
        name: 'Transmis au TdT'
        rule:
            content:
                envoi_tdt: true
            no-action:
                - send-tdt
            or_1:
                and_1:
                    last-action:
                        - creation
                        - modification
                        - importation
                        - prepare-tdt
                    document_is_valide: true
                    content:
                        envoi_signature: false
                        envoi_signature_fast: false
                        has_signature_locale: false
                and_2:
                    last-action:
                        - recu-iparapheur
        action-class: TedetisEnvoieHelios
        action-automatique: verif-tdt
    verif-tdt:
        name-action: 'Vérifier le statut de la transaction'
        name: 'Statut vérifié par le TdT'
        rule:
            last-action:
                - send-tdt
                - tdt-error
            droit_id_u: 'helios-automatique:edition'
        action-class: StandardAction
        connecteur-type: TdT
        connecteur-type-action: TdTRecupHelios
        connecteur-type-mapping:
            pes_tedetis_transaction_id: tedetis_transaction_id
            pes_acquit: fichier_reponse
            pes_etat_ack: etat_ack
            pes_has_reponse: has_reponse
            info-tdt: info-tdt
    acquiter-tdt:
        name: 'Le fichier PES a été acquitté'
        rule:
            role_id_e: no-role
        editable-content:
            - envoi_ged
            - envoi_sae
        action-automatique: orientation
    refus-tdt:
        name: 'Le fichier PES a été refusé'
        rule:
            role_id_e: no-role
    info-tdt:
        name: 'Un fichier de réponse PES est disponible'
        rule:
            role_id_e: no-role
        editable-content:
            - envoi_ged
            - envoi_sae
        action-automatique: orientation
    tdt-error:
        name: 'Erreur sur le TdT'
        rule:
            role_id_e: no-role
    prepare-ged:
        name: "Préparation de l'envoi à\_la GED"
        rule:
            role_id_e: no-role
        action-automatique: send-ged
    send-ged:
        name-action: 'Verser à la GED'
        name: 'Versé à la GED'
        rule:
            content:
                envoi_ged: true
            or_1:
                and_1:
                    last-action:
                        - creation
                        - modification
                        - importation
                        - prepare-ged
                    document_is_valide: true
                    content:
                        envoi_signature: false
                        envoi_tdt: false
                and_2:
                    last-action:
                        - recu-iparapheur
                    content:
                        envoi_tdt: false
                and_3:
                    has-action:
                        - acquiter-tdt
                        - info-tdt
                    no-action:
                        - send-ged
                and_4:
                    last-action:
                        - error-ged
        editable-content:
            - envoi_sae
        action-automatique: orientation
        action-class: StandardAction
        connecteur-type: GED
        connecteur-type-action: GEDEnvoyer
        connecteur-type-mapping:
            fatal-error: error-ged
    error-ged:
        name: 'Erreur irrécupérable lors du dépôt'
        rule:
            role_id_e: no-role
    prepare-sae:
        name: "Préparation de l'envoi au SAE"
        rule:
            role_id_e: no-role
        action-automatique: send-archive
    send-archive:
        name-action: 'Verser au SAE'
        name: 'Versé au SAE'
        rule:
            content:
                envoi_sae: true
            or_1:
                and_1:
                    last-action:
                        - creation
                        - modification
                        - importation
                        - prepare-sae
                    document_is_valide: true
                    content:
                        envoi_signature: false
                        envoi_tdt: false
                        envoi_ged: false
                and_2:
                    last-action:
                        - recu-iparapheur
                    content:
                        envoi_tdt: false
                        envoi_ged: false
                and_3:
                    has-action:
                        - acquiter-tdt
                        - info-tdt
                    content:
                        envoi_ged: false
                    no-action:
                        - send-archive
                and_4:
                    has-action:
                        - send-ged
                        - termine
                    no-action:
                        - send-archive
                and_5:
                    last-action:
                        - erreur-envoie-sae
                        - rejet-sae
        action-class: SAEEnvoiHelios
        action-automatique: verif-sae
    erreur-envoie-sae:
        name: "Erreur lors de l'envoi au SAE"
        rule:
            role_id_e: no-role
    verif-sae:
        name-action: "Récupérer l'AR du document sur le SAE"
        name: "Récupération de l'AR sur le SAE"
        rule:
            last-action:
                - send-archive
                - verif-sae-erreur
            droit_id_u: 'helios-automatique:edition'
        action-class: StandardAction
        connecteur-type: SAE
        connecteur-type-action: SAEVerifier
    verif-sae-erreur:
        name: "Erreur lors de la récupération de l'AR"
        rule:
            role_id_e: no-role
    ar-recu-sae:
        name: 'AR SAE reçu'
        rule:
            role_id_e: no-role
        action-automatique: validation-sae
    ack-not-provided:
        name: 'En attente de la validation par le SAE'
        rule:
            role_id_e: no-role
        action-automatique: validation-sae
    validation-sae:
        name-action: "Vérifier l'acceptation par le SAE"
        name: "Vérification de l'acceptation par le SAE"
        rule:
            last-action:
                - ar-recu-sae
                - ack-not-provided
                - validation-sae-erreur
            droit_id_u: 'helios-automatique:edition'
        action-class: StandardAction
        connecteur-type: SAE
        connecteur-type-action: SAEValider
    validation-sae-erreur:
        name: 'Erreur lors de la vérification de la validité du transfert'
        rule:
            role_id_e: no-role
    accepter-sae:
        name: 'Transfert accepté par le SAE'
        rule:
            role_id_e: no-role
    rejet-sae:
        name: 'Transfert rejeté par le SAE'
        rule:
            role_id_e: no-role
    iparapheur-sous-type:
        name: 'Liste des sous-type iparapheur'
        no-workflow: true
        rule:
            role_id_e: no-role
        action-class: HeliosIparapheurSousType
    envoi-signature-change:
        name: 'Modification envoi-signature'
        no-workflow: true
        rule:
            role_id_e: no-role
        action-class: HeliosEnvoieSignatureChange
    envoi-signature-api-change:
        name: 'Modification envoi-signature'
        no-workflow: true
        rule:
            role_id_e: no-role
        action-class: HeliosEnvoieSignatureChangeAPI
    envoi-cheminement-change:
        name: 'Modification envoi_sae'
        no-workflow: true
        rule:
            role_id_e: no-role
        action-class: HeliosGeneriqueCheminementChange
    signature-locale:
        name: 'Signature locale'
        no-workflow: true
        rule:
            role_id_e: no-role
        action-class: HeliosGeneriqueSignatureLocale
    fichier_pes_change:
        name: 'Modification fichier_pes'
        no-workflow: true
        rule:
            role_id_e: no-role
        action-class: HeliosGeneriqueFichierPESChange
